Summary:	ROSA Desktop Application Launcher
Name:		rosa-launcher
Version:	2.1.2
Release:	6
Epoch:		1
License:	GPLv3+
Group:		Graphical desktop/KDE
Url:		http://www.rosalab.ru/
Source0:	%{name}-%{version}.tar.bz2
Source1:	background_RED.jpg
Patch0:		rosa-launcher-2.0.0-mdvbutton.patch
Patch1:		rosa-launcher-2.1.2-timeframe-fix-typo.patch
BuildRequires:	baloo-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(shared-desktop-ontologies)
BuildRequires:	pkgconfig(soprano)
Requires:	kdebase4-workspace

%description
ROSA Desktop Application Launcher.

%files -f ROSA_Launcher.lang
%{_kde_libdir}/kde4/plasma_applet_rosastarter.so
%{_kde_libdir}/libtimeframe.so
%{_kde_datadir}/kde4/services/plasma-applet-rosastarter.desktop
%{_kde_bindir}/rosa-launcher
%{_kde_datadir}/rosa-launcher/*
%{_datadir}/timeframe

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %{product_product} == "Enterprise"
rm -f assets/background.jpg
cp %{SOURCE1} assets/background.jpg
%endif

%build
%cmake_kde4

%install
%makeinstall_std -C build


%find_lang ROSA_Launcher

%changelog

* Wed Apr 01 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:2.1.2-6
- (8629b59) Replace png with jpg for RED background

* Tue Mar 31 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:2.1.2-5
- (6d47814) Adjust background for RED per http://bugs.rosalinux.ru/show_bug.cgi?id=5243#c10

* Thu Mar 26 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:2.1.2-4
- (e07c4e9) Use jpg, not png
- (Denis Silakov: de5fb8d) Use different background when built for RED
- (Alexander Lakhin: 2302ccd) MassBuild#656: Increase release tag

* Fri Dec 26 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.2-3
- (8b13465) Bump release

* Fri Oct 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.2-2.2
- (d12abeb) Bump release again

* Fri Oct 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.2-2.1
- (78733ba) Bump release for KDE4 Backports

* Fri Oct 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.2-2
- (72a6dae) Add patch to fix typo in QML code

* Thu Oct 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.2-1.1
- (6a265bb) Prepare for KDE 4.14

* Wed Oct 01 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1:2.1.2-1
- (8ed7668) Updated to version 2.1.2 (Reworked icon positioning)

* Mon Sep 22 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 1:2.1.1-0.1
- (2fcc105) Updated to version 2.1.1 (Changed identification of stacked applications in the config by desktop files

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:2.1.0-0.2
- (b30e396) MassBuild#440: Increase release tag

* Thu Jun 19 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.0-0.1
- (aad0ddb) New version 2.1.0 (port from Nepomuk to Baloo and merge places-i18n patch)

* Mon Apr 21 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-55.5
- (4db3409) Adjust places-i18n once again (translate only system bookmarks)

* Sun Apr 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-55.4
- (553b607) Try better places-i18n patch

* Fri Apr 18 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-55.3
- (1cb4254) Use UTF8 in places-i18n patch

* Fri Apr 18 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-55.1
- (c5c099d) Drop merged it po patch
- (Andrey Bondrov: d33e793) Try to fix Places localization

* Thu Dec 26 2013 Julia Pikareva <julia.pikareva@rosalab.ru> 1:2.0.0-55
- (8cbf82e) Add icon in Alt+Tab menu.

* Sat Oct 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-54.3
- (0d7c5c7) LOG Rebuild with KDE 4.11

* Wed Aug 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-54.2
- (0e509c5) Add patches for previous commit
- (Andrey Bondrov: e946216) LOG Fix BuildRequires, add patches from Cooker (don't hardcode icon path, add Italian translation)
- (Andrey Bondrov: aa2e0ae) LOG Rebuild for KDE 4.11, drop qjson Requires because it's already required

* Sun Apr 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.0.0-54.1
- (a189160) LOG Rebuild for KDE 4.10, adjust spec cosmetics, use find_lang for locales

* Thu Feb 21 2013 Sergey Borovkov <sergey.borovkov@osinit.ru> 1:2.0.0-54
- (c5df513) 2.0.0-54

* Mon Feb 04 2013 Evgeniy Auzhin <evgeniy.augin@osinit.ru> 1:2.0.0-53
- (6597908) fixed login in vk.com

* Fri Jan 25 2013 Alexander Skakov <alexander.skakov@osinit.ru> 1:2.0.0-52
- (0496008) 2.0.0-52

* Mon Dec 24 2012 Ural Mullabaev <uxteam@rosalab.ru> 1:2.0.0-51
- (b9bf70f) 2.0.0-51

* Thu Dec 13 2012 Alexander Skakov <alexander.skakov@osinit.ru> 1:2.0.0-50
- (5d5f4d4) 2.0.0-50


